<h3 align="center">
	<img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/logos/exports/1544x1544_circle.png" width="100" alt="Logo"/><br/>
	<img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/misc/transparent.png" height="30" width="0px"/>
	Catppuccin Theme
	<img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/misc/transparent.png" height="30" width="0px"/>
</h3>

<p align="center">
  <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/morning.png" width="175" />
  <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/night.png" width="175" />
</p>

<p align="center">
    <a href="https://github.com/catppuccin/catppuccin/stargazers"><img src="https://img.shields.io/github/stars/catppuccin/catppuccin?colorA=1e1e28&colorB=c9cbff&style=for-the-badge&logo=starship style=for-the-badge"></a>
    <a href="https://github.com/catppuccin/catppuccin/releases/latest"><img src="https://img.shields.io/github/release/catppuccin/catppuccin.svg?&style=for-the-badge&label=Release&logo=github&logoColor=eceff4&colorA=1e1e28&colorB=f2cdcd"/></a>
    <a href="https://github.com/catppuccin/catppuccin/issues"><img src="https://img.shields.io/github/issues/catppuccin/catppuccin?colorA=1e1e28&colorB=b7e5e6&style=for-the-badge"></a>
    <a href="https://discord.gg/r6Mdz5dpFc"><img src="https://img.shields.io/discord/907385605422448742?colorA=1e1e28&colorB=c6aae8&label=Discord&logo=discord&logoColor=white&style=for-the-badge"></a>
</p>

<p align="center">
	Catppuccin is a community-driven pastel theme that aims to be the middle ground between low and high contrast themes. It consists of a soothing warm palette with 22 eye-candy colors perfect for coding, designing, and much more! In addition, this repository tracks the development of the actual color palette, organization-wide assets, resources and code samples for maintainers/developers.
</p>

## Ports and more!

Catppuccin is available for various apps and in different formats. Here is a list of them:

#### IDEs/DEs

-   [NeoVim](https://github.com/catppuccin/nvim)
-   [VSCode](https://github.com/catppuccin/vscode) (WIP)

#### Development

-   [Palette](https://github.com/catppuccin/palette)
-   [Wallpapers](https://github.com/catppuccin/wallpapers)

#### Terminals

-   [Kitty](https://github.com/catppuccin/kitty)
-   [Alacritty](https://github.com/catppuccin/alacritty)
-   [Gnome-Terminal](https://github.com/catppuccin/gnome-terminal) (WIP)
-   [Terminator](https://github.com/catppuccin/terminator)
-   [iTerm 2](https://github.com/catppuccin/iterm)
-   [Tmux](https://github.com/catppuccin/tmux)
-   [Urxvt](https://github.com/catppuccin/urxvt)

#### Productivity

-   [Zathura](https://github.com/catppuccin/zathura) (WIP)

#### Shells

-   [Fish](https://github.com/catppuccin/fish)

#### System

-   [GTK](https://github.com/catppuccin/xresources) (WIP)
-   [Xresources](https://github.com/catppuccin/xresources)
-   [Cava](https://github.com/catppuccin/cava)

## 🎨 Palette

|                                                                                                                                      | Name      | Hex       | RGB             | HSL              | CMYK                |
| ------------------------------------------------------------------------------------------------------------------------------------ | --------- | --------- | --------------- | ---------------- | ------------------- |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/rosewater.png" height="23" width="23"/> | Rosewater | `#F5E0DC` | `245, 224, 220` | `10, 56%, 91%`   | `0%, 9%, 10%, 4%`   |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/flamingo.png" height="23" width="23"/>  | Flamingo  | `#F2CDCD` | `242, 205, 205` | `0, 59%, 88%`    | `0%, 15%, 15%, 5%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/magenta.png" height="23" width="23"/>   | Magenta   | `#C6AAE8` | `198, 170, 232` | `267, 57%, 79%`  | `15%, 27%, 0%, 9%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/pink.png" height="23" width="23"/>      | Pink      | `#E5B4E2` | `229, 180, 226` | `304, 49%, 80%`  | `0%, 21%, 1%, 10%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/maroon.png" height="23" width="23"/>    | Maroon    | `#E49CB3` | `228, 156, 179` | `341, 57%, 75%`  | `0%, 32%, 21%, 11%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/red.png" height="23" width="23"/>       | Red       | `#E38C8F` | `227, 140, 143` | `358, 61%, 72%`  | `0%, 38%, 37%, 11%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/peach.png" height="23" width="23"/>     | Peach     | `#F7BE95` | `247, 190, 149` | `25, 86%, 78%`   | `0%, 23%, 40%, 3%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/yellow.png" height="23" width="23"/>    | Yellow    | `#ECDDAA` | `236, 221, 170` | `46, 63%, 80%`   | `0%, 6%, 28%, 7%`   |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/green.png" height="23" width="23"/>     | Green     | `#B1E1A6` | `177, 225, 166` | `109, 50%, 77%`  | `21%, 0%, 26%, 12%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/teal.png" height="23" width="23"/>      | Teal      | `#B7E5E6` | `183, 229, 230` | `181, 48%, 81%`  | `20%, 0%, 0%, 10%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/blue.png" height="23" width="23"/>      | Blue      | `#A3B9EF` | `163, 185, 239` | `223, 70%, 79%`  | `32%, 23%, 0%, 6%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/sky.png" height="23" width="23"/>       | Sky       | `#92D2E8` | `146, 210, 232` | `195, 65%, 74%`  | `37%, 9%, 0%, 9%`   |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/lavender.png" height="23" width="23"/>  | Lavender  | `#C9CBFF` | `201, 203, 255` | `238, 100%, 89%` | `21%, 20%, 0%, 0%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black0.png" height="23" width="23"/>    | Black 0   | `#15121C` | `21, 18, 28`    | `258, 22%, 9%`   | `25%, 36%, 0%, 89%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black1.png" height="23" width="23"/>    | Black 1   | `#1B1923` | `27, 25, 35`    | `252, 17%, 12%`  | `23%, 29%, 0%, 86%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black2.png" height="23" width="23"/>    | Black 2   | `#1E1E28` | `30, 30, 40`    | `240, 14%, 14%`  | `25%, 25%, 0%, 84%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black3.png" height="23" width="23"/>    | Black 3   | `#332E41` | `51, 46, 65`    | `256, 17%, 22%`  | `22%, 29%, 0%, 75%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black4.png" height="23" width="23"/>    | Black 4   | `#575268` | `87, 82, 104`   | `254, 12%, 36%`  | `16%, 21%, 0%, 59%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/gray0.png" height="23" width="23"/>     | Gray 0    | `#6E6C7E` | `110, 108, 126` | `247, 8%, 46%`   | `13%, 14%, 0%, 51%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/gray1.png" height="23" width="23"/>     | Gray 1    | `#988BA2` | `152, 139, 162` | `274, 11%, 59%`  | `6%, 14%, 0%, 36%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/gray2.png" height="23" width="23"/>     | Gray 2    | `#C3BAC6` | `195, 186, 198` | `285, 10%, 75%`  | `2%, 6%, 0%, 22%`   |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/white.png" height="23" width="23"/>     | White     | `#DFDEF1` | `223, 222, 241` | `243, 40%, 91%`  | `7%, 8%, 0%, 5%`    |

<!-- <p align="center"> -->
<!-- 	You can view an interactive version of the palette <a href="https://coolors.co/f2cecf-bee4ed-e5b4e2-a4b9ef-ebddaa-b1e3ad-c6aae8-f9c096-e38c8f">here</a> and <a href="https://coolors.co/15121c-1b1923-1e1e28-332e41-575268-6e6c7e-988ba2-c3bac6-dadae8">here</a> -->
<!-- </p> -->

## 🧠 Design Philosophy

-   **Colorful is better than colorless**: the colorfulness of something contributes to the distinction amongst the parts of that _something_, making it marginally easier to understand how things are structured.
-   **There should be balance**: not too dull, not too bright. Suitability under various light conditions is a most.
-   **Harmony is superior to dissonance**: vivacious colors must complement each other.

## 👐 Contribute

See [CONTRIBUTING.md](https://github.com/catppuccin/catppuccin/blob/dev/CONTRIBUTING.md).

## 📜 License

Catppuccin is released under the MIT license, which grants the following permissions:

-   Commercial use
-   Distribution
-   Modification
-   Private use

For more convoluted language, see the [LICENSE file](https://github.com/catppuccin/catppuccin/blob/main/LICENSE.md).

## 💝 Gratitude

Thanks to the following tools developing this project is possible:

-   [coolors.co](https://coolors.co/): A tool for creating and collecting color palettes.
-   [InkScape](https://inkscape.org/): Free and open-source vector graphics editor.
-   [colors_converter.asp](https://www.w3schools.com/colors/colors_converter.asp): Color format converter.
-   [mdigi.tools](https://mdigi.tools/): Web based digital tools.
